#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals

AUTHOR = 'Teckids e.V.'
SITENAME = 'Teckids e.V.'
SITEURL = ''
SITELOGO = '{}/images/logo.png'.format(SITEURL)

STATIC_PATHS = ["static", "images"]
PATH = 'content'
OUTPUT_PATH = 'public'

TIMEZONE = 'Europe/Paris'

DEFAULT_LANG = 'de'

THEME = 'themes/teckids'

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

# Navbar
MENUITEMS = [
    ('Startseite', '/index.html'),
    ('Projekte', [
        ('schul-frei', 'https://schul-frei.org'),
        ('FrogLabs', 'https://froglabs.org'),
        ('Dienste', '/pages/dienste.html'),
        ]),
    ('Medien und Pädagogik', [
        ('Pädagogisches Leitbild', '/pages/padagogisches-leitbild.html'),
        ('Handreichungen', '/pages/handreichungen.html'),
        ]),
    ('Mitgestalten', [
        ('Ziele', '/pages/ziele-des-vereins-teckids-ev.html'),
        ('Partizipation von Jugendlichen', '/pages/partizipation-von-jugendlichen.html'),
        ('Mitgliedschaft', '/pages/mitgliedschaft.html'),
        ]),
    ('Bildung', [
        ('Unterrichtsmaterial', 'https://www.teckids.org/legacy/docs/public/material/docman.htm'),
        ]),
    ]

FOOTERMENU = (("Spenden", "/pages/spenden.html"),
              ("Kontakt", "/pages/kontakt.html"),
              ("Newsletter", "/pages/newsletter.html"),
              ("Nutzungsbedingungen und Datenschutz", "/pages/nutzungsbedingungen-und-datenschutz.html"),
              ("AGB für Freizeiten", "/pages/geschäftsbedingungen-des-teckids-e.v.-für-die-teilnahme-vereinsfremder-personen-an-freizeit--und-workshopangeboten.html"),
              ("Lizenzen", "/pages/lizenzen.html"),
              ("Impressum", "/pages/impressum.html")
             )

I18N_SUBSITES = {
    "en": {
        "MENUITEMS": [
            ("Home", "/index_en.html"),
            ("Projects", [
                ("schul-frei", "https://schul-frei.org"),
                ("FrogLabs", "https://froglabs.org"),
                ("Services", "/pages/dienste-und-software-en.html")
                ]),
            ("Media and Pedagogy", [
                ("Educational Concept", "/pages/paedagogisches-leitbild-en.html"),
                ("Handouts", "/pages/handreichungen-en.html"),
            ]),
            ("Contribution", [
                ("Goals", "/pages/ziele-en.html"),
                ("Participation of youngsters", "/pages/partizipation-en.html"),
                ("Membership", "/pages/mitgliedschaft-en.html"),
            ]),
            ("Education", [
                ("Teaching Material", "https://www.teckids.org/legacy/docs/public/material/docman.htm"),
            ])
        ]
    }
}

# Social widget
SOCIAL = (("You can add links in your config file", "#"),
          ("Another social link", "#"),)

DEFAULT_PAGINATION = 10

# Uncomment following line if you want document-relative URLs when developing
#RELATIVE_URLS = True

PRIMARY_DARK = "#FF6600"
PRIMARY_LIGHT = "#FF9955"
SECONDARY_DARK = "#0606FA"
SECONDARY_LIGHT = "#005EBE"

SPONSOR_LOGOS = (("/images/sponsors/logo-bareos.png", "https://www.bareos.com/"),
                 ("/images/sponsors/logo-speedpartner.png", "https://www.speedpartner.de/"),
                 ("/images/sponsors/logo_informatik-aktuell.png", "https://www.informatik-aktuell.de/"))
